Package com.ocient.jdbc.proto

# Interface PlanProtocol.SortPartitionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SortPartition`, `PlanProtocol.SortPartition.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SortPartitionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`float` | `getDenormVal​(int index)` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`int` | `getDenormValCount()` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`List<Float>` | `getDenormValList()` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDenormValList

List<Float> getDenormValList()

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

### getDenormValCount

int getDenormValCount()

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

### getDenormVal

float getDenormVal​(int index)

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`